FROM eclipse-temurin:23-jdk

ENV VERTICLE_FILE scheduling.jar

# Set the location of the verticles
ENV VERTICLE_HOME /usr/verticles
ENV XDG_CONFIG_HOME $VERTICLE_HOME

EXPOSE 8080
EXPOSE 8085
EXPOSE 5000

RUN mkdir -p $VERTICLE_HOME/db && mkdir -p $VERTICLE_HOME/pipes && groupadd vertx && useradd -g vertx vertx && chown -R vertx $VERTICLE_HOME && chmod -R g+w $VERTICLE_HOME

# Copy your fat jar to the container
COPY target/$VERTICLE_FILE $VERTICLE_HOME/

USER vertx

# Launch the verticle
WORKDIR $VERTICLE_HOME
ENTRYPOINT ["sh", "-c"]
CMD ["exec java $JAVA_OPTS -jar $VERTICLE_FILE"]
